Package org.jbpm.services.task.impl.model.xml

## Class JaxbFaultData

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbFaultData

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.internal.task.api.model.ContentData`, `org.kie.internal.task.api.model.FaultData`

      public class JaxbFaultData
      extends Object
      implements org.kie.internal.task.api.model.FaultData

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbFaultData()` |
    `JaxbFaultData​(org.kie.internal.task.api.model.FaultData faultData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.api.model.AccessType` | `getAccessType()` |
    `byte[]` | `getContent()` |
    `Object` | `getContentObject()` |
    `String` | `getFaultName()` |
    `String` | `getType()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setAccessType​(org.kie.internal.task.api.model.AccessType accessType)` |
    `void` | `setContent​(byte[] content)` |
    `void` | `setContentObject​(Object object)` |
    `void` | `setFaultName​(String faultName)` |
    `void` | `setType​(String type)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbFaultData

          public JaxbFaultData()

    - #### JaxbFaultData

          public JaxbFaultData​(org.kie.internal.task.api.model.FaultData faultData)

  - ### Method Detail

    - #### getAccessType

          public org.kie.internal.task.api.model.AccessType getAccessType()

      Specified by:
        `getAccessType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setAccessType

          public void setAccessType​(org.kie.internal.task.api.model.AccessType accessType)

      Specified by:
        `setAccessType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setType

          public void setType​(String type)

      Specified by:
        `setType` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getContent

          public byte[] getContent()

      Specified by:
        `getContent` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setContent

          public void setContent​(byte[] content)

      Specified by:
        `setContent` in interface `org.kie.internal.task.api.model.ContentData`

    - #### getFaultName

          public String getFaultName()

      Specified by:
        `getFaultName` in interface `org.kie.internal.task.api.model.FaultData`

    - #### setFaultName

          public void setFaultName​(String faultName)

      Specified by:
        `setFaultName` in interface `org.kie.internal.task.api.model.FaultData`

    - #### getContentObject

          public Object getContentObject()

      Specified by:
        `getContentObject` in interface `org.kie.internal.task.api.model.ContentData`

    - #### setContentObject

          public void setContentObject​(Object object)

      Specified by:
        `setContentObject` in interface `org.kie.internal.task.api.model.ContentData`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`